/*
 * AbstractEquationElement.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 17.21
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main.parser;

public abstract class AbstractEquationElement
{
	private AbstractInequality mConstraint;
	
	public abstract double calculate();
	
	public AbstractInequality getConstraint()
	{
		return mConstraint;
	}
	
	public void setConstraint(AbstractInequality c)
	{
		mConstraint= c;
	}
	
}

